
file(GLOB_RECURSE PROJECT_SOURCE FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.h  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp )

source_group(TREE ${CMAKE_CURRENT_SOURCE_DIR} FILES ${PROJECT_SOURCE})

add_executable(PropertyEditorExample
    ${PROJECT_SOURCE}
)

set_property(TARGET PropertyEditorExample PROPERTY AUTOMOC ON)

find_package(Qt6 REQUIRED COMPONENTS QuickControls2)

target_link_libraries(PropertyEditorExample PUBLIC PropertyEditor
        Qt::Widgets
        Qt::QuickWidgets
	Qt::QuickPrivate
	Qt::QuickTemplates2
	Qt::QuickTemplates2Private
        Qt::QuickControls2
)

set_target_properties(
    PropertyEditorExample
    PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${pd_PlatformDir}/bin"  
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${pd_PlatformDir}/lib"  
    ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${pd_PlatformDir}/lib"  
)
